KeywordAttributeImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.tokenattributes.KeywordAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.tokenattributes
Class KeywordAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.KeywordAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, KeywordAttribute, Attribute

    public final class KeywordAttributeImpl

extends AttributeImpl
implements KeywordAttribute

This attribute can be used to mark a token as a keyword. Keyword aware `TokenStream`s can decide to modify a token based on the return value of `isKeyword()` if the token is modified. Stemming filters for instance can use this attribute to conditionally skip a term if `isKeyword()` returns `true`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`KeywordAttributeImpl()`

Method Summary
`void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`boolean` | `isKeyword()` Returns `true` iff the current token is a keyword, otherwise `false`/
`void` | `setKeyword(boolean isKeyword)` Marks the current token as keyword iff set to `true`.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeywordAttributeImpl

    public KeywordAttributeImpl()

Method Detail

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### isKeyword

    public boolean isKeyword()

  Returns `true` iff the current token is a keyword, otherwise `false`/

  Specified by:
    `isKeyword` in interface `KeywordAttribute`
  Returns:
    `true` iff the current token is a keyword, otherwise `false`/

### setKeyword

    public void setKeyword(boolean isKeyword)

  Marks the current token as keyword iff set to `true`.

  Specified by:
    `setKeyword` in interface `KeywordAttribute`
  Parameters:
    `isKeyword` - `true` iff the current token is a keyword, otherwise `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD